jmarkov.solvers

## Class MtjLogRedSolver

- java.lang.Object
- - jmarkov.solvers.Solver
  - - jmarkov.solvers.GeometricSolver
    - - jmarkov.solvers.MtjLogRedSolver

- All Implemented Interfaces:
    JMarkovElement

      public class MtjLogRedSolver
      extends GeometricSolver

  This class implements the Logarithmic reduction algorithm to find the steady state probabilities of a QBD process
  Author:
    German Riano. Universidad de los Andes. (C) 2006

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MtjLogRedSolver(GeomProcess mp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()` This method return a complete verbal describtion of this element.
    `double[][]` | `getRmatrix()` This process should be extended in order to compute the R matrix of the QBD.
    `java.lang.String` | `label()` The name of this solver.

    - ### Methods inherited from class jmarkov.solvers.Solver

      `getMP, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `equals`

- - ### Constructor Detail

    - #### MtjLogRedSolver

          public MtjLogRedSolver(GeomProcess mp)

      Parameters:
        `mp` - The given QBD

  - ### Method Detail

    - #### getRmatrix

          public double[][] getRmatrix()
                                throws NotUnichainException

      Description copied from class: `GeometricSolver`
      This process should be extended in order to compute the R matrix of the QBD. The user can get information of the SimpleMarkovProcess associated with this solver though the methods `getRates(), getGenerator, and getRate(State,State)`
      Specified by:
        `getRmatrix` in class `GeometricSolver`
      Returns:
        a Matrix with the R matrix for the given QBD.
      Throws:
        `NotUnichainException`
      See Also:
        `MarkovProcess.getGenerator()`, `MarkovProcess.getRates()`, `MarkovProcess.getRate(State, State)`

    - #### label

          public java.lang.String label()

      Description copied from class: `Solver`
      The name of this solver. This should be implemented by the extending classes..
      Specified by:
        `label` in interface `JMarkovElement`
      Specified by:
        `label` in class `Solver`
      Returns:
        A String label.
      See Also:
        `Solver.label()`

    - #### description

          public java.lang.String description()

      Description copied from interface: `JMarkovElement`
      This method return a complete verbal describtion of this element. This description may contain multiple text rows.
      Returns:
        A String describing this element.
      See Also:
        `JMarkovElement.label()`